#ifndef __JABYENGINE_DEFINES__H
#define __JABYENGINE_DEFINES__H
#include "../stddef.h"

#define __keep          __attribute__((used))
#define __no_align      __attribute__((packed))
#define __no_inline     __attribute__((noinline))
#define __always_inline __attribute__((always_inline))
#define __section(name) __attribute__((section(name)))

#ifdef __cplusplus
    #define __constexpr constexpr
#else
    #define __constexpr
#endif

//uint<real bits>_<used bits>b;
typedef uint8_t uint8_5b;
typedef uint8_t uint8_2b;

#endif //!__JABYENGINE_DEFINES__H