@echo off
rem build_all [clean]

set bin_projects=psxcdgen psxcdread
set clean_projects=cdtypes

set projects=%bin_projects%
set build_type=build
set cur_dir=%cd%

IF NOT "%~1" == "" (
    IF "%~1" == "clean" (
        set build_type=clean
        set projects=%projects% %clean_projects%
    ) ELSE (
        set build_type=%~1
    )
)

for %%a in (%projects%) do (
    call .\run_cargo %%a %build_type% release
    cd %cur_dir%
)
