@echo off
rem run_cargo.bat project build|check|clean debug|release

set org_dir=%cd%

cd %1
IF %2 == build (
    echo cargo build %1 --%3
    cargo build --%3
    IF %ERRORLEVEL% == 0 (
        xcopy target\%3\%1.exe %org_dir%\..\..\bin /y
    )
    
    exit /B %ERRORLEVEL%
)

IF %2 == check (
    echo cargo check %1 --%3
    cargo check --%3
    
    exit /B %ERRORLEVEL%
)

IF %2 == clean (
    echo cargo clean %1
    cargo clean
    @del %org_dir%\..\..\bin\%1.exe

    exit /B %ERRORLEVEL%
)

echo "Unkown cargo command "%2" for project "%1"